import { JwtPayload } from './jwt-payload.class';
import { VerifiableCredentialAttribute } from './verifiable-credential-attribute.class';
/**
 * Representation of Verifiable Credential Payload according to w3c spec.
 */
export declare class VcPayload extends JwtPayload {
    /**
     * Maps json into JwtPayload object.
     *
     * @param json - payload representation
     */
    static payloadFromJson(json: any): JwtPayload;
    sub?: string;
    vc: VerifiableCredentialAttribute;
    constructor(issuer: string, verifiableCredential: VerifiableCredentialAttribute, issuanceDate?: number, verifiableAttributeId?: string, expirationDate?: Date);
    protected payloadToJSON(): any;
}
